> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Bulk unassign tags

POST https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags
Content-Type: application/json

Unassign tags from multiple endpoints in bulk.


Reference: https://docs.iot.telia.lt/developers/api/tag-management/unassign-tags-from-endpoints-in-bulk

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Body (application/json)

This endpoint expects an object.

- `items` (list of ApiV2BulkOperationsEndpointRemoveTagsPostRequestBodyContentApplicationJsonSchemaItemsItems, optional)

## Response

### 200

Tags successfully unassigned.

## Errors

### 400 Bad Request Error

Invalid payload. See HTTP response body for details.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `message` (string, optional)

### 403 Forbidden Error

User doesn't have permission to bulk unassign tags.

- `any`

### 422 Unprocessable Entity Error

Unprocessable entity. See HTTP response body for details.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `message` (string, optional)

## Types

### ApiV2BulkOperationsEndpointRemoveTagsPostRequestBodyContentApplicationJsonSchemaItemsItems

- `endpoint` (ApiV2BulkOperationsEndpointRemoveTagsPostRequestBodyContentApplicationJsonSchemaItemsItemsEndpoint, optional)
- `tags` (list of ApiV2BulkOperationsEndpointRemoveTagsPostRequestBodyContentApplicationJsonSchemaItemsItemsTagsItems, optional)

### ApiV2BulkOperationsEndpointRemoveTagsPostRequestBodyContentApplicationJsonSchemaItemsItemsEndpoint

- `id` (double, optional)

### ApiV2BulkOperationsEndpointRemoveTagsPostRequestBodyContentApplicationJsonSchemaItemsItemsTagsItems

- `id` (double, optional)

## Examples

**Request**

```json
{
  "items": [
    {
      "endpoint": {
        "id": 1
      },
      "tags": [
        {
          "id": 1
        },
        {
          "id": 2
        }
      ]
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python CreateTagRequest
import requests

url = "https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags"

payload = { "items": [
        {
            "endpoint": { "id": 1 },
            "tags": [{ "id": 1 }, { "id": 2 }]
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript CreateTagRequest
const url = 'https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"items":[{"endpoint":{"id":1},"tags":[{"id":1},{"id":2}]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go CreateTagRequest
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags"

	payload := strings.NewReader("{\n  \"items\": [\n    {\n      \"endpoint\": {\n        \"id\": 1\n      },\n      \"tags\": [\n        {\n          \"id\": 1\n        },\n        {\n          \"id\": 2\n        }\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby CreateTagRequest
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"items\": [\n    {\n      \"endpoint\": {\n        \"id\": 1\n      },\n      \"tags\": [\n        {\n          \"id\": 1\n        },\n        {\n          \"id\": 2\n        }\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java CreateTagRequest
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"items\": [\n    {\n      \"endpoint\": {\n        \"id\": 1\n      },\n      \"tags\": [\n        {\n          \"id\": 1\n        },\n        {\n          \"id\": 2\n        }\n      ]\n    }\n  ]\n}")
  .asString();
```

```php CreateTagRequest
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags', [
  'body' => '{
  "items": [
    {
      "endpoint": {
        "id": 1
      },
      "tags": [
        {
          "id": 1
        },
        {
          "id": 2
        }
      ]
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp CreateTagRequest
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"items\": [\n    {\n      \"endpoint\": {\n        \"id\": 1\n      },\n      \"tags\": [\n        {\n          \"id\": 1\n        },\n        {\n          \"id\": 2\n        }\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift CreateTagRequest
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["items": [
    [
      "endpoint": ["id": 1],
      "tags": [["id": 1], ["id": 2]]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v2/bulk-operations/endpoint/remove-tags")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```